/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.extension.entity;


import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 按钮设置Entity
 * @author liugf
 * @version 2019-09-26
 */
public class FlowButton extends DataEntity<FlowButton> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 按钮名称
	private String code;		// 编码
	private String isHide;		// 是否隐藏
	private String next;		// 下一节点审核人
	private Integer sort;		// 排序
	private TaskDefExtension taskDef;		// 任务节点外键 父类
	
	public FlowButton() {
		super();
	}

	public FlowButton(String id){
		super(id);
	}

	public FlowButton(TaskDefExtension taskDef){
		this.taskDef = taskDef;
	}

	@ExcelField(title="按钮名称", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="编码", align=2, sort=2)
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	
	@ExcelField(title="是否隐藏", align=2, sort=3)
	public String getIsHide() {
		return isHide;
	}

	public void setIsHide(String isHide) {
		this.isHide = isHide;
	}
	
	@ExcelField(title="下一节点审核人", align=2, sort=4)
	public String getNext() {
		return next;
	}

	public void setNext(String next) {
		this.next = next;
	}
	
	@ExcelField(title="排序", align=2, sort=5)
	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}
	
	public TaskDefExtension getTaskDef() {
		return taskDef;
	}

	public void setTaskDef(TaskDefExtension taskDef) {
		this.taskDef = taskDef;
	}
	
}